@tailwindcss/nesting

    0.0.0-insiders.565cd3e • Public • Published

    @tailwindcss/nesting

    This is a PostCSS plugin that wraps postcss-nested or postcss-nesting and acts as a compatibility layer to make sure your nesting plugin of choice properly understands custom syntax like @apply and @screen.

    To use it, install it via npm:

    npm install @tailwindcss/nesting

    Then add it to your PostCSS configuration, somewhere before Tailwind itself:

    // postcss.config.js
    module.exports = {
      plugins: [
        require('postcss-import'),
        require('@tailwindcss/nesting'),
        require('tailwindcss'),
        require('autoprefixer'),
      ]
    }

    By default, it uses the postcss-nested plugin under the hood, which uses a Sass-like syntax and is the plugin that powers nesting support in the Tailwind CSS plugin API.

    If you'd rather use postcss-nesting (which is based on the work-in-progress CSS Nesting specification), first install the plugin alongside @tailwindcss/nesting:

    npm install @tailwindcss/nesting postcss-nesting

    Then pass the plugin itself as an argument to @tailwindcss/nesting in your PostCSS configuration:

    // postcss.config.js
    module.exports = {
      plugins: [
        require('postcss-import'),
        require('@tailwindcss/nesting')(require('postcss-nesting')),
        require('tailwindcss'),
        require('autoprefixer'),
      ]
    }

    This can also be helpful if for whatever reason you need to use a very specific version of postcss-nested and want to override the version we bundle with @tailwindcss/nesting itself.

    Keywords

    none

    Install

    npm i @tailwindcss/nesting

    DownloadsWeekly Downloads

    5,242

    Version

    0.0.0-insiders.565cd3e

    License

    MIT

    Unpacked Size

    3.71 kB

    Total Files

    3

    Last publish

    Collaborators

    • thecrypticace
    • reinink
    • adamwathan
    • bradlc
    • malfaitrobin